Subject: Re: [PATCH] ath9k: remove set but not used variable 'acq'

From: Kalle Valo <[email-masked]>
Date: Mon, 25 Feb 2019 12:03:16 +0200

Toke Høiland-Jørgensen <[email-masked]> writes:

> YueHaibing <[email-masked]> writes:
>
>> Fixes gcc '-Wunused-but-set-variable' warning:
>>
>> drivers/net/wireless/ath/ath9k/recv.c: In function 'ath_rx_count_airtime':
>> drivers/net/wireless/ath/ath9k/recv.c:1010:18: warning:
>>  variable 'acq' set but not used [-Wunused-but-set-variable]
>>
>> It's not used after 89cea7493a34 ("ath9k: Switch to mac80211 TXQ scheduling
>> and airtime APIs"). Also remove related variables.
>
> Ah, right, seems I forgot to clean that up. I wonder why I didn't get a
> compiler warning for it.

I think the warning is not enabled by default and you need to use W=1
Makefile variable to enable it.

-- 
Kalle Valo